Skip to main content
  • Deposit and withdrawal records are kept for 3 months.
  • Time span limit: (end_time - start_time) < 30 days (2,592,000 s).
  • This service supports transfer wallet members only.

Path

Headers

FieldTypeRequiredDescription
AuthorizationstringYesToken we provide

Request parameters

FieldTypeRequiredSignedDescription
channelIdnumberYes✓Channel ID (use 1 if you have no channels)
accountstringYes✓Member account (allowed characters: a-z A-Z 0-9 _-)
startTimestringYes✓Search start time (see Time format)
endTimestringYes✓Search end time (see Time format)
signstringYesSignature. See Signature for how to generate it

Response

Success (the HTTP status code is always 200; check status.code for the result)
FieldTypeDescription
dataobject
data.transactionListobject[]Member transfer records
data.transactionList[].transactionIdstringTransaction ID
data.transactionList[].statusbooleanTransaction status (true: normal, false: abnormal)
data.transactionList[].channelIdnumberChannel ID
data.transactionList[].accountstringMember account
data.transactionList[].currencystringCurrency (contact our business team)
data.transactionList[].amountnumberTransfer amount
data.transactionList[].balanceBeforenumberWallet balance before the transfer
data.transactionList[].balanceAfternumberWallet balance after the transfer
data.transactionList[].timestringTransfer time (see Time format)
statusobjectResponse status. See Response format

Response example

Response codes

Besides the common codes, this API may also return: